Submitting Statistics

POST url: http://www.kongregate.com/api/submit_statistics.json
required params:
  user_id: User id of the user
  game_auth_token: The game_auth_token for the game/user combination
  api_key: The api key assigned to your game

statistic value params:
  The rest of the parameters should all be in the form of 
  <statistic name>=<statistic value>. These
  statistics will be submitted to the server with their given values.
  
response fields:
  success: true/false depending on if the request was successful
  error: error code integer, if any
  error_description: error code description string, if any

Example: Successful Submission

This example submits statistics GamesWon and Coins.

POST http://www.kongregate.com/api/submit_statistics.json
  POST data:
    user_id=765
    game_auth_token=BensGameAuthToken
    api_key=MyApiKey
    GamesWon=1
    Coins=45
{success:true}

Comments